# Generated from easy_threadpool-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name easy_threadpool

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: This gem has been written keeping semplicity in mind It implements Thread Pool Pattern described here http://en.wikipedia.org/wiki/Thread_pool_pattern Recommended for I/O activities are easily parallelizable, such as downloading remote resources, web scraping, bulk API calls, etc
License: MIT
URL: https://github.com/taganaka/easy_threadpool_rb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
An easy to use Thread Pool implementation.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/easy_threadpool.gemspec
%{gem_instdir}/examples

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.2-1
- Initial package
